Package Gnumed :: Package wxpython :: Module gmAddressWidgets |
[frames] | no frames]

# Module gmAddressWidgets

source code

GNUmed generic address related widgets.

Author: karsten.hilbert@gmx.net

License: GPL v2 or later (details at http://www.gnu.org)

Classes
| cCountryPhraseWheel
| cStateSelectionPhraseWheel
| cProvinceEAPnl
| cZipcodePhraseWheel
| cStreetPhraseWheel
| cSuburbPhraseWheel
| cUrbPhraseWheel
| cAddressEditAreaPnl An edit area for editing/creating an address.
| cAddressTypePhraseWheel
| cAddressMatchProvider
| cAddressPhraseWheel

Functions
configure_default_country(parent=None) | source code
configure_default_region(parent=None) | source code
edit_province(parent=None, province=None) | source code
delete_province(parent=None, province=None) | source code
manage_provinces(parent=None) | source code
manage_addresses(parent=None) | source code

Variables
| __package__ = ``'``Gnumed.wxpython``'``

Imports: logging, sys, wx, gmTools, gmMatchProvider, gmDemographicRecord, gmCfgWidgets, gmPhraseWheel, gmListWidgets, gmEditArea, gmGuiHelpers, wxgProvinceEAPnl, wxgGenericAddressEditAreaPnl